Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class ObjectAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.quartz.SchedulerException
                  org.quartz.JobPersistenceException
                      org.quartz.ObjectAlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class ObjectAlreadyExistsException

extends JobPersistenceException

An exception that is thrown to indicate that an attempt to store a new object (i.e. ``JobDetail``,``Trigger`` or ``Calendar``) in a ``Scheduler`` failed, because one with the same name & group already exists.

Author:
  James House
See Also:
  Serialized Form

Constructor Summary
`ObjectAlreadyExistsException(JobDetail offendingJob)` Create a `ObjectAlreadyExistsException` and auto-generate a message using the name/group from the given `JobDetail`.
`ObjectAlreadyExistsException(String msg)` Create a `ObjectAlreadyExistsException` with the given message.
`ObjectAlreadyExistsException(Trigger offendingTrigger)` Create a `ObjectAlreadyExistsException` and auto-generate a message using the name/group from the given `Trigger`.

Method Summary

Methods inherited from class org.quartz.SchedulerException
`getUnderlyingException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectAlreadyExistsException

    public ObjectAlreadyExistsException(String msg)

  Create a `ObjectAlreadyExistsException` with the given message.

### ObjectAlreadyExistsException

    public ObjectAlreadyExistsException(JobDetail offendingJob)

  Create a `ObjectAlreadyExistsException` and auto-generate a message using the name/group from the given `JobDetail`.

  The message will read:
  "Unable to store Job with name: '__' and group: '__', because one already exists with this identification."

### ObjectAlreadyExistsException

    public ObjectAlreadyExistsException(Trigger offendingTrigger)

  Create a `ObjectAlreadyExistsException` and auto-generate a message using the name/group from the given `Trigger`.

  The message will read:
  "Unable to store Trigger with name: '__' and group: '__', because one already exists with this identification."

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.